import "../ui/index.mjs";
import VxeColumnComponent from "../table/src/column.mjs";
import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
const VxeColumn = Object.assign({}, VxeColumnComponent, {
  install(app) {
    app.component(VxeColumnComponent.name, VxeColumnComponent);
    app.component("VxeTableColumn", VxeColumnComponent);
  }
});
if (VxeUI.dynamicApp) {
  VxeUI.dynamicApp.component(VxeColumnComponent.name, VxeColumnComponent);
  VxeUI.dynamicApp.component("VxeTableColumn", VxeColumnComponent);
}
VxeUI.component(VxeColumnComponent);
export {
  VxeColumn,
  VxeColumn as default
};
